<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto">

    <data>

        <variable
            name="viewModel"
            type="com.aveplus.avepay_cpocket.music.main.video2.vm.VideoVM" />
    </data>

    <RelativeLayout
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginBottom="5.0dip"
        android:layout_marginTop="5.0dip"
        android:clickable="true"
        android:layout_marginEnd="@dimen/dimen_1x"
        android:background="?android:selectableItemBackground"
        android:onClick="@{viewModel::onItemClick}"
        android:focusable="true">


        <RelativeLayout
            android:layout_centerInParent="true"
            android:layout_width="@dimen/item_category_width"
            android:layout_height="wrap_content">

            <RelativeLayout
                android:layout_width="@dimen/item_category_width"
                android:id="@+id/rl_img"
                android:layout_height="@dimen/dimen_12x" >
                <ImageView
                android:scaleType="fitXY"
                android:focusable="false"
                app:url="@{viewModel.getImage}"
                android:id="@+id/img_thumb"
                android:layout_width="@dimen/item_category_width"
                android:layout_height="@dimen/dimen_12x" />
                <ImageView
                    android:layout_width="@dimen/dimen_4x"
                    android:layout_height="@dimen/dimen_4x"
                    android:src="@drawable/ic_vip"
                    android:layout_alignParentRight="true"
                    android:visibility="@{viewModel.isVisible()}" />
            </RelativeLayout>


            <TextView
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_below="@+id/rl_img"
                android:ellipsize="end"
                android:textStyle="bold"
                android:textAllCaps="true"
                android:maxLines="1"
                android:id="@+id/tv_title"
                android:text="@{viewModel.getName}"
                android:textColor="@color/white"
                android:textSize="@dimen/text_size_normal" />
           <TextView
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_below="@+id/tv_title"
                android:ellipsize="end"
                android:layout_marginStart="@dimen/dimen_05x"
                android:layout_marginEnd="@dimen/dimen_05x"
                android:maxLines="2"
                android:id="@+id/tv_description"
                android:text="@{viewModel.getDescription}"
                android:textColor="@color/white"
                android:textSize="@dimen/text_size_small" />

        </RelativeLayout>
    </RelativeLayout>
</layout>